Skip to main content
GET
/
v2
/
giftcards
/
customer
/
transactions
Getcustomertransactions
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/customer/transactions \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "5eb7cf5a86d9755df3a6c593",
    "amount": "<string>",
    "balanceBefore": "<string>",
    "balanceAfter": "<string>",
    "referenceId": "<string>",
    "description": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "processedAt": "2023-11-07T05:31:56Z",
    "merchantId": "5eb7cf5a86d9755df3a6c593",
    "posTransactionId": "<string>",
    "cashierId": "<string>",
    "terminalId": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

q
string | null
page
integer
default:1
limit
integer
default:250
offset
integer | null

Response

Successful Response

id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

transactionType
enum<string>
required

Gift card transaction type enumeration.

Available options:
PURCHASE,
ACTIVATION,
RELOAD,
REDEMPTION,
CONSOLIDATION,
VOID,
TRANSFER_OUT,
TRANSFER_IN,
OWNERSHIP_TRANSFER,
RESEND_CODE,
REFUND
amount
string
required
balanceBefore
string
required
balanceAfter
string
required
referenceId
string | null
required
description
string | null
required
createdAt
string<date-time>
required
processedAt
string<date-time>
required
merchantId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

posTransactionId
string | null
required
cashierId
string | null
required
terminalId
string | null
required